#contact {
    padding: 0;
    display: flex;
    flex-direction: column;
}

#contact .contact-header {
    padding: 30px 30px 0;
}

.contact-form-wrapper {
    gap: 10px;
    display: flex;
    margin-top: auto;
    padding: 20px 30px;
    flex-direction: column;
}

.map-box {
    padding: 0 0 20px;
}

.map-box figure {
    border: 1px solid red;
}

.contact-form-wrapper header {
    font-size: 27px;
    font-weight: 800;
}

.contact-form-wrapper form {
    padding: 20px 0;
    gap: 20px;
    display: flex;
    flex-direction: column;
}

.two-column-grid {
    gap: 5px 15px;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.input-wrapper {
    gap: 8px;
    display: flex;
    flex-direction: column;
}

.input-wrapper label {
    font-size: 18px;
    font-weight: 600;
}

.form-input {
    height: 50px;
    outline: none;
    padding: 10px;
    display: flex;
    align-items: center;
    border-radius: 10px;
    font-size: 16px;
    color: var(--text-color);
    background: transparent;
    border: 1px solid var(--border-color);
}

.form-input:focus, .form-textarea:focus {
    box-shadow: -2px -2px 4px -3px var(--text-color),
    inset -2px -2px 4px -3px var(--text-color);
}

.form-textarea {
    height: 200px;
    outline: none;
    padding: 10px;
    display: flex;
    resize: none;
    font-size: 16px;
    align-items: center;
    border-radius: 10px;
    color: var(--text-color);
    background: transparent;
    border: 1px solid var(--border-color);
}

.form-btn {
    gap: 10px;
    display: flex;
    align-items: center;
    align-self: flex-end;
    font-weight: 800;
    letter-spacing: 1px;
    background-color: var(--main-color);
}

.form-btn:disabled {
    cursor: not-allowed;
    background-color: transparent;
    box-shadow: -2px -2px 4px -3px var(--text-color),
    inset -1px -1px 4px -3px var(--text-color);
}

footer {
    padding: 30px;
    display: flex;
    margin-top: auto;
    align-items: center;
    background: var(--main-color);
    justify-content: space-between;
}

footer p {
    font-weight: 600;
}

footer a {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    border-radius: 8px;
    text-decoration: none;
    justify-content: center;
    outline: .2rem solid transparent;
    border: .2rem solid var(--main-color);
    background-color: var(--text-color);
    transition: .5s ease;
}

footer a:hover {
    outline: .2rem solid var(--text-color);
}

footer a .material-symbols-outlined {
    font-weight: bolder;
    color: var(--main-color);
}

@media screen and (max-width: 640px) {
    #contact {
        padding-top: 70px;
    }

    #contact .contact-header {
        padding: 10px;
    }

    .contact-form-wrapper {
        padding: 0 10px 10px;
        margin-top: 0;
    }

    .two-column-grid {
        gap: 20px;
        grid-template-columns: 1fr;
    }

    .skill-title {
        font-size: 14px;
    }
}

@media screen and (min-width: 500px) and (max-width: 640px) {
    #contact .contact-header {
        padding: 20px;
    }

    .contact-form-wrapper {
        padding: 0 20px 10px;
    }
}